<?php
function isWindows($node)
{
	$objectid = $node->getSysObjectId();
	$logo = NULL;
	$srv_logo = NULL;
	$os_type = NULL;
	foreach($objectid as $line)
	{
		if(preg_match('#\.3\.6\.1\.4\.1\.([0-9]*)\..*#', $line,$regs))
		{
			if($regs[1] == 311)
			{
				return TRUE;
			}
		}
	}
	return FALSE;
}

function getWinServices($dbconnection, $node)
{
        $plugin_path = '/usr/local/esia/plugins';
        $plugin_name = 'check_snmp_win.pl';
        $plugins_parameters = '-H $IP $SNMP_PARAMETER -s';
		$plugins_parameters = Model_esia::getServiceExecutableParameters($dbconnection, $plugins_parameters, $node);

        if (is_a($node,'RemoteDevice'))
        {
                $output = $node->getGESA()->execByECATP($plugin_name,$plugins_parameters,NULL,TRUE);
                $output = $output['data'];
        }
        else{
                exec("$plugin_path/$plugin_name $plugins_parameters",$output);
        }

        $services = array();
        array_shift($output);
        foreach($output as $row)
        {
                $exp = explode(':',$row);
                $services[]=trim($exp[1]);
        }
        return $services;
}
